summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2023-02-13 20:29:00 -0500
committerLuke Smith <luke@lukesmith.xyz>2023-02-13 20:29:00 -0500
commit5c8b52fe3888a656bedeb19611adcffc9e472424 (patch)
treecbd3b83b50355d119ad261b173848dbb0b0d5743
parentf0ae1de9e1c897b2828f6ede82ffd9e66e8fcae7 (diff)
help menu fix
-rwxr-xr-xbin/mw5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/mw b/bin/mw
index e0057ae..1a0cc2d 100755
--- a/bin/mw
+++ b/bin/mw
@@ -309,7 +309,8 @@ while getopts "rfpXlhodTYD:y:i:I:s:S:u:a:n:P:x:m:t:" o; do case "${o}" in
X) setact delete ; purge=True ;;
t) setact toggle ; cronmin="$OPTARG" ;;
T) setact toggle ;;
- *) mwinfo ;;
+ h) setact info ;;
+ \?) echo "See \`$(basename $0) -h\` for possible options and help."; exit 1 ;;
esac done
case "$action" in
@@ -322,5 +323,5 @@ case "$action" in
;;
toggle) togglecron ;;
reorder) reorder ;;
- *) mwinfo; exit 1 ;;
+ info) mwinfo; exit 1 ;;
esac